#!/bin/sh

#
#  Create an object 'vd.wt.tno.nl' in the database and
#  parse a piece of a syslog file with short and even empty lines.
#  There should be warnings printed on stderr.
#

cd ..

if psql gnucomo_test -f src/database/create.sql -q >/dev/null
then
   psql gnucomo_test -q -c "insert into object (objectname) values ('vd.wt.tno.nl')"
   psql gnucomo_test -c "select * from object"
   src/gcm_input/gcm_input -c gnucomo_test -h vd.wt.tno.nl -d 'sep 5 2002 20:30:45' <test/vd.messages
   psql gnucomo_test -c "select * from log"
   psql gnucomo_test -f src/database/destroy.sql -q
   exit $result
else
   echo Can not create test database
   exit 1
fi
